Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 06 Feb 2009 21:30:56 +0100
From:      Jan Henrik Sylvester <me@janh.de>
To:        dhaneshk k <dhaneshkk@hotmail.com>
Cc:        questions-list freebsd <freebsd-questions@freebsd.org>
Subject:   Re: Flash9  and FreeBSD7.0  isssue
Message-ID:  <498C9E00.4080408@janh.de>
References:  COL106-W1623074BA617183F052FD3B2C10@phx.gbl

Next in thread | Raw E-Mail | Index | Archive | Help
dhaneshk k wrote:
 > I followed  http://freebsd.langhans.com.pl/af/index.html
 >
 > To enable  flash9   support for FreeBSD7.0

In contrast to the other replies, I have flash9 running with 
linux_base-fc-4_14 using compat.linux.osrelease=2.4.2 in a native 
firefox3 (not the linux version).

It runs ok. Occasionally, the plugin crashes for a new page with flash, 
but it does not take firefox with it. Reloading the page usually fixes it.

The important difference to your setup is that I run FreeBSD 7.1.

Since the main bug rendering flash9 unstable was fixed in 7-STABLE 
between 7.1-RC1 and 7.1-RC2, I do not think anything will fix flash9 on 
FreeBSD 7.0.

Maybe you get better results with osrelease=2.6.16 _and_ a newer 
linux_base, but that is not necessary. Updating to 7.1 is.

noscript or at least flashblock is a must...

The procedure: Get firefox3, flash9, and nspluginwrapper up to date, 
remove everything with nspluginwrapper as root and as your user, auto 
install every plugin as root (-a -i -v), and put links in your 
~/.mozilla/plugins:

cd ~/.mozilla/plugins/
ln -s /usr/local/lib/browser_plugins/npwrapper.libflashplayer.so

You need linprocfs mounted to /usr/compat/linux/proc -- see the manpage 
of linprocfs.

Cheers,
Jan Henrik



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?498C9E00.4080408>